/*********************************************************************
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * This file contains HCI inquery scan functionality
 */

#ifndef _HCI_SCAN_
#define _HCI_SCAN_
#include <glib.h>

typedef struct //Bluetooth device 
{
    gchar* name; //device name
    gchar addr[19]; //device mac address
} Device;
/*
 * Function makes HCI inquery scan and fills in the BT addresses
 * and names
 * Returns pointer on success and NULL on error
 */
GSList* hci_scan(void);

/*
 * Function gets the list of device MAC addresses and tries to get 
 * Their names
 * param alist -- the list of MAC addresses
 * Returns pointer on success and NULL on error
 */
GSList* hci_scan_names(GSList* alist);

#endif
//eof
